Hi,

I am referring to this thread here, please make sure you read it in case you
have not already:
"parallel fun in src_install - going beyond the serial monotony of 'make
install'"
http://thread.gmane.org/gmane.linux.gentoo.devel/38901/focus=38901

Since nobody has objected there I would like to update the documentation to
reflect this change. I have attached a patch to do this for skel.ebuild and
sent a patch to plasmaroo for the devmanual. Is there any other
documentation that needs updating?

- Stefan Schweizer


--- /usr/portage/skel.ebuild    2006-06-20 20:05:18.000000000 +0200
+++ skel.ebuild 2006-06-22 17:43:00.000000000 +0200
@@ -134,23 +134,27 @@
        # anything outside of DESTDIR; do this by reading and
        # understanding the install part of the Makefiles.
        # This is the preferred way to install.
-       make DESTDIR=${D} install || die
+       emake DESTDIR=${D} install || die "emake install failed"
+
+       # when you hit a failure with emake, dont just use make. It is
+       # better to fix the Makefiles to allow proper parallelization.
+       # If you fail with that, use "emake -j1", still better than make.
 
        # For Makefiles that don't make proper use of DESTDIR, setting
        # prefix is often an alternative.  However if you do this, then
        # you also need to specify mandir and infodir, since they were
        # passed to ./configure as absolute paths (overriding the prefix
        # setting).
-       #make \
+       #emake \
        #       prefix=${D}/usr \
        #       mandir=${D}/usr/share/man \
        #       infodir=${D}/usr/share/info \
        #       libdir=${D}/usr/$(get_libdir) \
-       #       install || die
+       #       install || die "emake install failed"
        # Again, verify the Makefiles!  We don't want anything falling
        # outside of ${D}.
 
        # The portage shortcut to the above command is simply:
        #
-       #einstall || die
+       #einstall || die "einstall failed"
 }

-- 
gentoo-dev@gentoo.org mailing list

Reply via email to